class loadingView
{
    constructor() 
	{
		this.sOS = conchConfig.getOS();
		if (this.sOS == "Conch-ios")
		{
			this.bridge = PlatformClass.createClass("JSBridge");
		}
		else if (this.sOS == "Conch-android")
		{
			this.bridge = PlatformClass.createClass("demo.JSBridge");
		}
    }
    set loadingAutoClose(value) 
	{
        this._loadingAutoClose = value;
    }
	get loadingAutoClose()
	{
		return this._loadingAutoClose;
	}
	set showTextInfo(value) 
	{
        this._showTextInfo = value;
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("showTextInfo:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("showTextInfo",value);
			}
		}
    }
	get showTextInfo()
	{
		return this._showTextInfo;
	}
	bgColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("bgColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("bgColor",value);
			}
		}
	}
	setFontColor(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setFontColor:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setFontColor",value);
			}
		}
	}
	setTips(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("setTips:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("setTips",value);
			}
		}
	}
	loading(value)
	{
		if(this.bridge)
		{
			if (this.sOS == "Conch-ios")
			{
				this.bridge.call("loading:",value);
			}
			else if(this.sOS == "Conch-android")
			{
				this.bridge.call("loading",value);
			}
		}
	}
	hideLoadingView()
	{
		this.bridge.call("hideSplash");
	}
}
window.loadingView = new loadingView();
if(window.loadingView)
{
    window.loadingView.loadingAutoClose=false;//true代表当动画播放完毕，自动进入游戏。false为开发者手动控制
    window.loadingView.bgColor("#000000");//设置背景颜色
    window.loadingView.setFontColor("#363636");//设置字体颜色
    window.loadingView.setTips(["构建文明中...","加载山脉中...","加载建筑...","加载中，不消耗流量..."]);//设置tips数组，会随机出现
    window.loadingView.showTextInfo=false;

    window.loadingView.loading(30);
}

// var nMem = conchConfig.getTotalMem();

// if (nMem <= 524288) {
//     conchConfig.atlasNum = 12;
//     conchConfig.maxTextureMemSize = 84 * 1024 * 1024;
// } else if (nMem > 524288 && nMem <= 1048576) {
//     conchConfig.atlasNum = 20;
//     conchConfig.maxTextureMemSize = 128 * 1024 * 1024;
// } else if (nMem > 1048576 && nMem <= 2097152) {
//     conchConfig.atlasNum = 24;
//     conchConfig.maxTextureMemSize = 168 * 1024 * 1024;
// } else {
//     conchConfig.atlasNum = 30;
//     conchConfig.maxTextureMemSize = 200 * 1024 * 1024;
// }

conchConfig.atlasNum = 100;
conchConfig.maxTextureMemSize = 500 * 1024 * 1024;

conchConfig.pushAtlasLimitSize = 257;//当图片size小于256的时候，合并到大图合集中

window.onLayaInitError=function(e)
{
	console.log("onLayaInitError error=" + e);
	alert("加载游戏失败，可能由于您的网络不稳定，请退出重进");
}

//window["_loginViewBgPathLocal_"] = "https://gz2-static.ios.51fytx.com/gz3/app/yywan/img_login_bg_1.jpg"
//window["_loginViewBgPath_"] = "https://gz2-static.ios.51fytx.com/gz3/app/yywan/img_login_bg_1.jpg";

//window["_loginViewLogoPathLocal_"] = "https://gz2-static.ios.51fytx.com/gz3/app/yywan//img_login_logo.png";
//window["_loginViewLogoPath_"] = "https://gz2-static.ios.51fytx.com/gz3/app/yywan/img_login_logo.png";

window["_loginViewBgPathLocal_"] = "loading/img_login_bg_1.jpg";
window["_loginViewBgPath_"] = "res/public/img_login_bg_1.jpg";

window["_loginViewLogoPathLocal_"] = "loading/img_login_logo.png";
window["_loginViewLogoPath_"] = "res/public/img_login_logo.png";